package dbstruct

const (
	MemRoleBuyer = 1 // 买家
)

// Account 用户结构
type Account struct {
	Mid              *int64          `json:"mid" bson:"_id"`                                                       // 用户表Id
	Name             *string         `json:"name" bson:"name"`                                                     // 用户名
	UserId           *int64          `json:"user_id" bson:"user_id"`                                               // 业务Id
	Avatar           *MediaComponent `json:"avatar" bson:"avatar"`                                                 // 头像
	MobilePhone      *string         `json:"mobile_phone" bson:"mobile_phone" jcrypto:"rsa" bcrypto:"aes_cbc|1|0"` // 手机号，数据库加密，查询不解密
	PhoneHash        *string         `json:"phone_hash" bson:"phone_hash"`                                         // 手机号hash值
	RegionCode       *string         `json:"region_code" bson:"region_code"`                                       // 地区码
	Level            *int64          `json:"level" bson:"level"`                                                   // 等级
	Role             *int64          `json:"role" bson:"role"`                                                     // 角色
	CurrentExp       *int64          `json:"current_exp" bson:"current_exp"`                                       // 当前经验
	CurrentLevelExp  *int64          `json:"current_level_exp" bson:"current_level_exp"`                           // 当前等级总经验
	IsDndModeEnabled *int64          `json:"is_dnd_mode_enabled" bson:"is_dnd_mode_enabled"`                       // 是否开启勿扰模式
	GoldNum          *int64          `json:"gold_num" bson:"gold_num"`                                             // 金币数量
	DiamondNum       *int64          `json:"diamond_num" bson:"diamond_num"`                                       // 钻石数量
	Inviter          *int64          `json:"inviter" bson:"inviter"`                                               // 邀请人user_id
	IsAMember        *int64          `json:"is_a_member" bson:"is_a_member"`                                       // 是否是会员，0-否，1-是
	Status           *int64          `json:"status" bson:"status"`                                                 // 账户状态，0-正常，1-账户注销中，2-账户已注销
	DevType          *int32          `bson:"dev_type"`                                                             // 注册来源
	Latitude         *float64        `bson:"latitude"`                                                             // 纬度
	Longitude        *float64        `bson:"longitude"`                                                            // 经度
	UserIdString     *string         `bson:"user_id_string"`                                                       // string型user_id，为模糊匹配设置
	Ct               *int64          `json:"ct" bson:"ct"`                                                         // 创建时间
	Ut               *int64          `json:"ut" bson:"ut"`                                                         // 更新时间
	DelFlag          *int64          `json:"del_flag" bson:"del_flag"`                                             // 删除标记，0-否，1-是
}

func (p *Account) GetMid() int64 {
	if p != nil && p.Mid != nil {
		return *p.Mid
	}
	return 0
}

func (p *Account) GetName() string {
	if p != nil && p.Name != nil {
		return *p.Name
	}
	return ""
}

func (p *Account) GetUserId() int64 {
	if p != nil && p.UserId != nil {
		return *p.UserId
	}
	return 0
}
