package dbstruct

type Login struct {
	Id             *int64  `json:"id" bson:"_id"`                            // 登录表id
	Mid            *int64  `json:"mid" bson:"mid"`                           // 用户id
	Password       *string `json:"password" bson:"password"`                 // 密码
	PhoneHash      *string `json:"phone_hash" bson:"phone_hash"`             // 手机号hash值
	RegionCode     *string `json:"region_code" bson:"region_code"`           // 国家区号
	IsLogined      *int64  `json:"is_logined" bson:"is_logined"`             // 是否登陆，0-否，1-是
	LastLoginTime  *int64  `json:"last_login_time" bson:"last_login_time"`   // 最后登陆时间
	WrongPswdTimes *int64  `json:"wrong_pswd_times" bson:"wrong_pswd_times"` // 密码错误次数
	IsEnabled      *int64  `json:"is_enabled" bson:"is_enabled"`             // 是否启用，0-否，1-是
	IsLocked       *int64  `json:"is_locked" bson:"is_locked"`               // 是否锁定，0-否，1-是
	IsBanned       *int64  `json:"is_banned" bson:"is_banned"`               // 是否封禁，0-否，1-是
	Ct             *int64  `json:"ct" bson:"ct"`                             // 创建时间
	Ut             *int64  `json:"ut" bson:"ut"`                             // 更新时间
	DelFlag        *int64  `json:"del_flag" bson:"del_flag"`                 // 删除标记，0-否，1-是
}
