package dbstruct

// 图片
type Image struct {
	Id    int64  `json:"id" bson:"_id"`        // 图片id
	Ct    int64  `json:"ct" bson:"ct"`         // 创建时间
	Ut    int64  `json:"ut" bson:"ut"`         // 更新时间
	SrcId string `json:"src_id" bson:"src_id"` // 源id
	MD5   string `json:"md5" bson:"md5"`       // 视频md5
	W     int64  `json:"w" bson:"w"`           // 宽
	H     int64  `json:"h" bson:"h"`           // 高
	Fmt   string `json:"fmt" bson:"fmt"`       // 图片格式
}

type ToCImage struct {
	Id   int64    `json:"id"`   // 图片id
	W    int64    `json:"w"`    // 宽
	H    int64    `json:"h"`    // 高
	Fmt  string   `json:"fmt"`  // 图片格式
	Urls []string `json:"urls"` // 图片展示地址
}

// 视频
type Video struct {
	Id         int64  `json:"id" bson:"_id"`                    // 视频id
	Ct         int64  `json:"ct" bson:"ct"`                     // 创建时间
	Ut         int64  `json:"ut" bson:"ut"`                     // 更新时间
	SrcId      string `json:"src_id" bson:"src_id"`             // 源id
	CoverSrcId string `json:"cover_src_id" bson:"cover_src_id"` // cover srcId
	CoverId    int64  `json:"cover_id" bson:"cover_id"`         // 封面id
	MD5        string `json:"md5" bson:"md5"`                   // 视频md5
	Dur        int64  `json:"dur" bson:"dur"`                   // 视频时长
	Fmt        string `json:"fmt" bson:"fmt"`
}

type ToCVideo struct {
	Id        int64    `json:"id"`         // 视频id
	Dur       int64    `json:"dur"`        // 视频时
	CoverUrls []string `json:"cover_urls"` // 视频封面地址
	Urls      []string `json:"urls"`       // 视频地址
}
