package dbstruct

type Streamer struct {
	Id                        *int64          `json:"id" bson:"_id"`                                      // 主播表id
	Mid                       *int64          `json:"mid" bson:"mid"`                                     // 用户表id
	Gender                    *int64          `json:"gender" bson:"gender"`                               // 性别
	Bio                       *string         `json:"bio" bson:"bio"`                                     // 个性签名
	Cover                     *MediaComponent `json:"cover" bson:"cover"`                                 // 封面
	Shorts                    *MediaComponent `json:"shorts" bson:"shorts"`                               // 展示视频
	Album                     *MediaComponent `json:"album" bson:"album"`                                 // 相册
	Age                       *int64          `json:"age" bson:"age"`                                     // 年龄
	Height                    *int64          `json:"height" bson:"height"`                               // 身高
	Weight                    *int64          `json:"weight" bson:"weight"`                               // 体重
	Constellation             *string         `json:"constellation" bson:"constellation"`                 // 星座
	City                      *string         `json:"city" bson:"city"`                                   // 所在城市
	Tag                       *[]string       `json:"tag" bson:"tag"`                                     // 主播标签
	Fans                      *int64          `json:"fans" bson:"fans"`                                   // 全网粉丝
	AutoResponseMessage       *string         `json:"auto_response_message" bson:"auto_response_message"` // 自动回复消息
	Inviters                  *[]int64        `json:"inviters" bson:"inviters"`                           // 邀请人
	IsHided                   *int64          `json:"is_hided" bson:"is_hided"`                           // 是否隐藏
	Ct                        *int64          `json:"ct" bson:"ct"`                                       // 创建时间
	Ut                        *int64          `json:"ut" bson:"ut"`                                       // 更新时间
	DelFlag                   *int64          `json:"del_flag" bson:"del_flag"`                           // 删除标记
	CoverAudit                *AuditComponent `bson:"cover_audit"`                                        // 封面审核
	ShortsAudit               *AuditComponent `bson:"shorts_audit"`                                       // 展示视频审核
	AlbumAudit                *AuditComponent `bson:"album_audit"`                                        // 相册审核
	BioAudit                  *AuditComponent `bson:"bio_audit"`                                          // 个性签名审核
	AutoResponseMessageAudit  *AuditComponent `bson:"auto_response_message_audit"`                        // 自动回复消息审核
	CoverReview               *AuditComponent `bson:"cover_review"`                                       // 封面人审
	ShortsReview              *AuditComponent `bson:"shorts_review"`                                      // 展示视频人审
	AlbumReview               *AuditComponent `bson:"album_review"`                                       // 相册人审
	BioReview                 *AuditComponent `bson:"bio_review"`                                         // 个性签名人审
	AutoResponseMessageReview *AuditComponent `bson:"auto_response_message_review"`                       // 自动回复消息人审

	WechatLockType  *int32  `json:"wechat_lock_type"`  // 微信解锁方式
	WechatContact   *string `json:"wechat_contact"`    // 微信联系方式
	WechatCoinPrice *int64  `json:"wechat_coin_price"` // 微信金币价格
}

func (p *Streamer) GetMid() int64 {
	if p == nil || p.Mid == nil {
		return -1
	}
	return *p.Mid
}

func (p *Streamer) GetBio() string {
	if p == nil || p.Bio == nil {
		return ""
	}
	return *p.Bio
}

func (p *Streamer) GetAutoResponseMessage() string {
	if p == nil || p.AutoResponseMessage == nil {
		return ""
	}
	return *p.AutoResponseMessage
}
