package dbstruct

// 空间总人数统计
type ZoneMemberCount struct {
	Zid *int64 `json:"zid" db:"zid"`
	Num *int64 `json:"num" db:"num"`
}

func (p *ZoneMemberCount) GetZid() int64 {
	if p != nil && p.Zid != nil {
		return *p.Zid
	}
	return 0
}

func (p *ZoneMemberCount) GetNum() int64 {
	if p != nil && p.Num != nil {
		return *p.Num
	}
	return 0
}

type Zone struct {
	Id                      *int64  `json:"id" bson:"_id"`                                                  // 空间表id
	Mid                     *int64  `json:"mid" bson:"mid"`                                                 // 用户表id
	Profile                 *string `json:"profile" bson:"profile"`                                         // 空间简介
	LastZoneMomentCt        *int64  `json:"last_zone_moment_ct" bson:"last_zone_moment_ct"`                 // 最后空间动态创建时间
	ZoneMomentCount         *int64  `json:"zone_moment_count" bson:"zone_moment_count"`                     // 空间内动态总数
	ImageCount              *int64  `json:"image_count" bson:"image_count"`                                 // 空间内图片总数
	VideoCount              *int64  `json:"video_count" bson:"video_count"`                                 // 空间内视频总数
	IsZoneThirdPartnerHided *int64  `json:"is_zone_third_partner_hided" bson:"is_zone_third_partner_hided"` // 是否隐藏空间代运营
	Ct                      *int64  `json:"ct" bson:"ct"`                                                   // 创建时间
	Ut                      *int64  `json:"ut" bson:"ut"`                                                   // 更新时间
	DelFlag                 *int64  `json:"del_flag" bson:"del_flag"`                                       // 删除标记
}

func (p *Zone) GetId() int64 {
	if p != nil && p.Id != nil {
		return *p.Id
	}
	return 0
}

func (p *Zone) GetMid() int64 {
	if p != nil && p.Mid != nil {
		return *p.Mid
	}
	return 0
}

func (p *Zone) GetZoneMomentCount() int64 {
	if p != nil && p.ZoneMomentCount != nil {
		return *p.ZoneMomentCount
	}
	return 0
}

func (p *Zone) GetLastZoneMomentCt() int64 {
	if p != nil && p.LastZoneMomentCt != nil {
		return *p.LastZoneMomentCt
	}
	return 0
}

func (p *Zone) GetIsZoneThirdPartnerHided() int64 {
	if p != nil && p.IsZoneThirdPartnerHided != nil {
		return *p.IsZoneThirdPartnerHided
	}
	return 0
}
